> ## Documentation Index
> Fetch the complete documentation index at: https://ton.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Masterchain Block Signatures

> Get up-to-date masterchain state.



## OpenAPI

````yaml get /getMasterchainBlockSignatures
openapi: 3.1.0
info:
  title: TON HTTP API
  description: >

    This API enables HTTP access to TON blockchain - getting accounts and
    wallets information, looking up blocks and transactions, sending messages to
    the blockchain, calling get methods of smart contracts, and more.


    In addition to REST API, all methods are available through [JSON-RPC
    endpoint](#json%20rpc)  with `method` equal to method name and `params`
    passed as a dictionary.


    The response contains a JSON object, which always has a boolean field `ok`
    and either `error` or `result`. If `ok` equals true, the request was
    successful and the result of the query can be found in the `result` field.
    In case of an unsuccessful request, `ok` equals false and the error is
    explained in the `error`.


    API Key should be sent either as `api_key` query parameter or `X-API-Key`
    header.
  version: 2.0.0
servers:
  - url: https://toncenter.com/api/v2
  - url: https://testnet.toncenter.com/api/v2
security: []
tags:
  - name: accounts
    description: Information about accounts.
  - name: blocks
    description: Information about blocks.
  - name: transactions
    description: Fetching and locating transactions.
  - name: get config
    description: Get blockchain config
  - name: run method
    description: Run get method of smart contract.
  - name: send
    description: Send data to blockchain.
  - name: json rpc
    description: JSON-RPC endpoint.
paths:
  /getMasterchainBlockSignatures:
    get:
      tags:
        - blocks
      summary: Get Masterchain Block Signatures
      description: Get up-to-date masterchain state.
      operationId: get_masterchain_block_signatures_getMasterchainBlockSignatures_get
      parameters:
        - required: true
          schema:
            type: integer
            title: Seqno
          name: seqno
          in: query
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetMasterchainBlockSignaturesResponse'
              examples:
                sample:
                  summary: Block signatures example (truncated)
                  value:
                    ok: true
                    result:
                      '@type': blocks.blockSignatures
                      id:
                        '@type': ton.blockIdExt
                        workchain: -1
                        shard: '-9223372036854775808'
                        seqno: 51148806
                        root_hash: I/+MoS7TB7Zuw+g5QH3bPBFMcM5Wf4h1Coig3g2osFQ=
                        file_hash: BhPAjDTVPDqH8z6DLq9jAjZiZiiIUQW/f667jJgfoyw=
                      signatures:
                        - '@type': blocks.signature
                          node_id_short: axRYlEuV/4Fo94EbDtfpEnqJukpAsNNgmZqQz7e01ew=
                          signature: >-
                            xTBbMLBnJau/VxzOln6jW2zwIMx4WY/+hO3IWwqklNnAAzvYY2X/pqutkJNj5E1f4BjKp84sukuTErS0fFZUAA==
                      '@extra': 1755813145.584844:11:0.877388442408124
        '422':
          description: Validation Error
        '504':
          description: Lite Server Timeout
      security: []
components:
  schemas:
    GetMasterchainBlockSignaturesResponse:
      allOf:
        - $ref: '#/components/schemas/TonResponse'
        - type: object
          properties:
            result:
              $ref: '#/components/schemas/BlocksBlockSignatures'
              description: Validator signatures for a given block.
    TonResponse:
      properties:
        ok:
          type: boolean
          title: Ok
        result:
          anyOf:
            - type: string
            - items: {}
              type: array
            - type: object
          title: Result
        error:
          type: string
          title: Error
        code:
          type: integer
          title: Code
      type: object
      required:
        - ok
      title: TonResponse
    BlocksBlockSignatures:
      type: object
      description: Validator signatures for a given block.
      properties:
        '@type':
          type: string
          example: blocks.blockSignatures
        id:
          $ref: '#/components/schemas/TonBlockIdExt'
        signatures:
          type: array
          items:
            $ref: '#/components/schemas/BlockSignature'
          description: List of validator signatures for the block.
        '@extra':
          type: string
      required:
        - id
        - signatures
    TonBlockIdExt:
      type: object
      properties:
        '@type':
          type: string
          example: ton.blockIdExt
        workchain:
          type: integer
        shard:
          type: string
          description: 64-bit signed integer as string
        seqno:
          type: integer
        root_hash:
          type: string
        file_hash:
          type: string
      required:
        - workchain
        - shard
        - seqno
        - root_hash
        - file_hash
      description: Extended block identifier.
    BlockSignature:
      type: object
      properties:
        '@type':
          type: string
          example: blocks.signature
        node_id_short:
          type: string
          description: Short node ID
        signature:
          type: string
          description: Base64 signature
      required:
        - node_id_short
        - signature
      description: Validator signature.

````